Request a partner invoice refund

Use this method to initiate a refund for a paid partner invoice.

Request parameters

Parameter
Type / Description

sessionID

Required (string) Session identifier, output of the Login method. An exception is thrown if the values are incorrect.

proformaNumber

Required (string) The unique identifier of a partner invoice from the Avangate system.

comment

Optional (string) Refund reason/additional comments. Can be NULL.

Request sample

<?php

require('PATH_TO_AUTH'); // Authentication example: https://knowledgecenter.avangate.com/Integration/Channel_Manager_API/SOAP/02Authentication
require('PATH_TO_setPartner'); // setPartner example: https://knowledgecenter.avangate.com/Integration/Channel_Manager_API/SOAP/06Reference/Partner/00Set_partner

$proformaNumber = 'YOUR_PROFORMA_NUMBER';
$comment = 'YOUR_REFUND_REASON';

try {
    $ProformaRefund= $client->requestProformaRefund ($sessionID, $proformaNumber, $comment);
} catch (SoapFault $e) {
    Echo "RefundProforma: " . $e->getMessage();
    exit;
}
var_dump ("RefundProforma ", $ProformaRefund);

Response parameters

Parameter
Type / Description

result

Boolean True or false

Errors

Error
Description

INVALID_PARTNER

No partner is set.

INVALID_PROFORMA_NUMBER

Your partner invoice number is not valid.

DUPLICATE_REFUND_REQUEST

A refund request was already placed for this partner invoice.

INVALID_PROFORMA

The partner invoice needs to be paid in order to send a refund request.

Last updated

Was this helpful?